Package org.eclipse.birt.report.model.api

# Class SortElementHandle

java.lang.Object
org.eclipse.birt.report.model.api.DesignElementHandle
org.eclipse.birt.report.model.api.ContentElementHandle
org.eclipse.birt.report.model.api.SortElementHandle

All Implemented Interfaces:
  `org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel`, `org.eclipse.birt.report.model.elements.interfaces.ISortElementModel`

public class SortElementHandle extends ContentElementHandle implements org.eclipse.birt.report.model.elements.interfaces.ISortElementModel

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.ContentElementHandle

`element`

### Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`module`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel

`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.ISortElementModel

`DIRECTION_PROP, KEY_PROP, LOCALE_PROP, MEMBER_PROP, STRENGTH_PROP`

## Constructor Summary

Constructors
Constructor
Description
`SortElementHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Constructs a sort handle with the given design and the element.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDirection()`
Returns the sort direction.
`String`
`getKey()`
Returns an expression that gives the sort key on which to sort.
`com.ibm.icu.util.ULocale`
`getLocale()`
Gets the locale of this sort collation.
`MemberValueHandle`
`getMember()`
Gets the member value handle of this sort element if it sets.
`int`
`getStrength()`
Gets the strength of this sort collation.
`void`
`setDirection(String direction)`
Sets the sort direction.
`void`
`setKey(String key)`
Sets an expression that gives the sort key on which to sort.
`void`
`setLocale(com.ibm.icu.util.ULocale locale)`
Sets the locale for this sort.
`void`
`setStrength(int strength)`
Sets the strength for this sort.

### Methods inherited from class org.eclipse.birt.report.model.api.ContentElementHandle

`addListener, canTransformToTemplate, clientsIterator, createTemplateElement, derivedIterator, getElement, getEventHandlerClass, getExtends, getName, getPrivateStyle, getQualifiedName, isTemplateParameterValue, localize, removeListener, revertToReportItem, revertToTemplate, setEventHandlerClass, setExtends, setExtendsName, setName, setStyle, setStyleName`

### Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`add, add, addElement, addElement, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, clearAllProperties, clearContents, clearProperty, copy, copyPropertyTo, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getExpressionProperty, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getNumberProperty, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getTagType, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isValid, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, semanticCheck, setBooleanProperty, setEncryption, setExpressionProperty, setExtendsElement, setFloatProperty, setIntProperty, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyleElement, setValid, shift, showError, slotsIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SortElementHandle

public SortElementHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Constructs a sort handle with the given design and the element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

Parameters:
  `module` - the module
  `element` - the model representation of the element

## Method Details

### getKey

public String getKey()
Returns an expression that gives the sort key on which to sort. The simplest case is the name of a column. The expression can also be an expression that includes columns. When used for a group, the expression can contain an aggregate computed over the group.

Returns:
  the key to sort
See Also:
  - `setKey(String)`

### setKey

public void setKey(String key) throws SemanticException
Sets an expression that gives the sort key on which to sort.

Parameters:
  `key` - the key to sort
Throws:
  `SemanticException` - value required exception
See Also:
  - `getKey()`

### getDirection

public String getDirection()
Returns the sort direction. The possible values are define in `DesignChoiceConstants`, and they are:

- SORT_DIRECTION_ASC
- SORT_DIRECTION_DESC

Returns:
  the direction to sort

### setDirection

public void setDirection(String direction) throws SemanticException
Sets the sort direction. The allowed values are define in `DesignChoiceConstants`, and they are:

- SORT_DIRECTION_ASC
- SORT_DIRECTION_DESC

Parameters:
  `direction` - the direction to set
Throws:
  `SemanticException` - if the direction is not in choice list.

### getMember

public MemberValueHandle getMember()
Gets the member value handle of this sort element if it sets. Otherwise return null.

Returns:
  the member value handle.

### getStrength

public int getStrength()
Gets the strength of this sort collation. By default, it is -1.

Returns:
  the strength of this sort
See Also:
  - `setStrength(int)`

### setStrength

public void setStrength(int strength) throws SemanticException
Sets the strength for this sort.

Parameters:
  `strength` - the strength to sort
Throws:
  `SemanticException`
See Also:
  - `getStrength()`

### getLocale

public com.ibm.icu.util.ULocale getLocale()
Gets the locale of this sort collation.

Returns:
  the locale of this sort
See Also:
  - `setLocale(ULocale)`

### setLocale

public void setLocale(com.ibm.icu.util.ULocale locale) throws SemanticException
Sets the locale for this sort.

Parameters:
  `locale` - the locale to sort
Throws:
  `SemanticException`
See Also:
  - `getLocale()`